Ci cd jobs
Check Job success
Checks if a CI/CD job was successful
Authorization
http AuthorizationBasic <token>
Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.
In: header
Path Parameters
job_uuid*string
UUID of the job.
Query Parameters
severity?string
Minimum failing severity of the findings
Default
"medium"Value in
"none" | "low" | "medium" | "high" | "critical" | "cosmic"fail?boolean
Whether to return a failing status code if the job wasn't successful
Default
trueResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.ethiack.com/v1/jobs/string/success"{
"code": 0,
"description": "string",
"id": null,
"success": true
}{
"code": 0,
"description": "string",
"id": null,
"success": true
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}